%define prefix /usr
%define name xsearch
%define version 0.0.1
%define release %mkrel 1
%define url www.pclinuxos.com

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Simple app to open files.
Summary(de):	Einfaches App um Dateien zu öffnen.
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	yad, bash, gtkdialog 
Obsoletes:	%name < %version

%description
List Files & Open it with your default application.

#german
%description -l de
Listet Dateien & öffnet diese mit den grundlegenden Anwendungen. 

%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

install -Dm 755 %{name} $RPM_BUILD_ROOT/%_bindir/%{name}
# desktop file Desktop Datei
mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Open Files
Name[de]=Dateien öffnen
Exec=/usr/bin/%{name}
Comment=List Files & Open it with your default application.
Comment[de]=Listet Dateien & öffnet diese mit den grundlegenden Anwendungen. 
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;Utility;FileManager;X-MandrivaLinux-System-FileTools;
EOF
# icon
install -Dm 644 icons/%{name}.png $RPM_BUILD_ROOT/%_datadir/pixmaps/%{name}.png
# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de_DE.po


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%_datadir/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sun Aug 28 2011 Neal <nealbrks0 at gmail.com> 0.0.1-1pclos2011
- 64-bit build

* Tue Aug 11 2011 leiche <meisssw01 at aol.com> 0.0.1-1leiche2011
- test build
